EV Search by Id
Important note
This API is not available as part of our free evaluation or Pay As You Grow (PAYG) offering. Click the Request Access button above to contact our Sales team.
Private Preview Notice
Important notes:
- This TomTom Orbis Maps API is restricted to private preview.
- This API is powered by the TomTom Orbis Maps.
- See the TomTom Orbis Maps documentation for more information.
Purpose
The EV Search by Id endpoint provides detailed information about one or more EV POIs (points of interest) requested by their ID. This includes details such as location, availability status, and attached connectors.
Request data
HTTPS method: GET
For ease of viewing and identification:
- Constants and parameters enclosed in curly brackets { } must be replaced with their values.
- Please see the following Request parameters section with the required and optional parameters tables for their values. The generic request format is as follows.
Request format
https://{baseURL}/maps/orbis/places/ev/id?key={Your_API_Key}&id={EV_POI_Id1,EV_POI_Id2,...}&view={view}
Request curl command example
curl 'https://api.tomtom.com/maps/orbis/places/ev/id?key={Your_API_Key}&id=0b903425-3f5a-4072-9d5d-070f6f0647b3,79ded460-ecbb-4699-852b-71e8cf1d27ab&view=Unified&' \-H 'TomTom-Api-Version: 1'
Request parameters
The following table describes the parameters that can be used in a request.
- Required parameters must be used or the call will fail.
- Parameters and values are case-sensitive.
- Optional parameters may be used.
| Required parameters | Description |
|---|---|
baseURL string | Base URL for calling the API.
|
key string | An API Key valid for the requested service. |
id string | Comma-separated list of EV POI Ids. |
| Optional parameters | Description |
|---|---|
view string | Geopolitical View. The context used to resolve the handling of disputed territories.
|
include string | Enum:
Example: include=tariffs Additional information to be included in the response. |
Request headers
The following table describes HTTP request headers.
| Required headers | Description |
|---|---|
| TomTom-Api-Version | The version of the API being called. Currently, only version |
| Optional headers | Description |
|---|---|
| Tracking-ID | Specifies an identifier for the request.
Value: An |
| Accept | Specifies one of the following values as the response format of an API request:
|
| Accept-Language | Should be one of the TomTom supported IETF language tags, case insensitive. When data in the specified language is not available for a specific field or the language is not specified, the NGT (NeutralGroundTruth) of the POI will be used. |
| JMESPath | This header can be used to execute a JMESPath query on the API response.
For more information refer to JMESPath examples. |
Response data
Response body
If the Accept header value is set to application/json, the response will be a JSON object with the following structure:
1{2 "summary": {3 "numResults": 1,4 "totalResults": 15 },6 "results": [7 {8 "id": "0b903425-3f5a-4072-9d5d-070f6f0647b3",9 "name": "Mega M d.o.o.",10 "position": {11 "lat": 44.810263,12 "lon": 20.435413 },14 "chargingStations": [15 {16 "id": "RS*ORI*E1161",17 "chargingPoints": [18 {19 "capabilities": [20 "RemoteStartStopCapable"21 ],22 "connectors": [23 {24 "id": "1",25 "currentA": 32,26 "currentType": "AC3",27 "ratedPowerKW": 22.0,28 "type": "IEC62196Type2Outlet",29 "voltageV": 40030 }31 ],32 "evseId": "RS*ORI*E1167",33 "status": "Available"34 },35 {36 "capabilities": [37 "RemoteStartStopCapable"38 ],39 "connectors": [40 {41 "id": "1",42 "currentType": "DC",43 "ratedPowerKW": 50.0,44 "type": "Chademo"45 }46 ],47 "evseId": "RS*ORI*E1166",48 "status": "Occupied"49 },50 {51 "capabilities": [52 "RemoteStartStopCapable"53 ],54 "connectors": [55 {56 "id": "1",57 "currentA": 16,58 "currentType": "AC3",59 "ratedPowerKW": 11.0,60 "type": "IEC62196Type2Outlet",61 "voltageV": 40062 }63 ],64 "evseId": "RS*ORI*E1163",65 "status": "Unknown"66 },67 {68 "capabilities": [69 "RemoteStartStopCapable"70 ],71 "connectors": [72 {73 "id": "1",74 "currentA": 16,75 "currentType": "AC3",76 "ratedPowerKW": 11.0,77 "type": "IEC62196Type2Outlet",78 "voltageV": 40079 }80 ],81 "evseId": "RS*ORI*E1162",82 "status": "Available"83 },84 {85 "capabilities": [86 "RemoteStartStopCapable"87 ],88 "connectors": [89 {90 "id": "1",91 "currentType": "DC",92 "ratedPowerKW": 75.0,93 "type": "IEC62196Type2CCS"94 }95 ],96 "evseId": "RS*ORI*E1165",97 "status": "OutOfService"98 },99 {100 "capabilities": [101 "RemoteStartStopCapable"102 ],103 "connectors": [104 {105 "id": "1",106 "currentA": 16,107 "currentType": "AC3",108 "ratedPowerKW": 11.0,109 "type": "IEC62196Type2Outlet",110 "voltageV": 400,111 "tariffId": "USCPIT10vn*B*2llX"112 }113 ],114 "evseId": "RS*ORI*E1164",115 "status": "Available"116 }117 ]118 }119 ],120 "address": {121 "countryCode": "RS",122 "countryCodeISO3": "SRB",123 "country": "Serbia",124 "countrySubdivision": "Central Serbia",125 "countrySubdivisionName": "Central Serbia",126 "countrySecondarySubdivision": "Belgrade City",127 "freeformAddress": "Улица Владимира Поповића 8, 11070 Belgrade",128 "localName": "Belgrade",129 "municipality": "Belgrade",130 "municipalitySubdivision": "Нови Београд",131 "postalCode": "11070",132 "streetNumber": "8",133 "streetName": "Улица Владимира Поповића"134 },135 "phone": "+386 3 777 77 77",136 "openingHours": {137 "mode": "nextSevenDays",138 "timeRanges": [139 {140 "startTime": {141 "date": "2024-05-02",142 "hour": 0,143 "minute": 0144 },145 "endTime": {146 "date": "2024-05-09",147 "hour": 0,148 "minute": 0149 }150 }151 ]152 },153 "timeZone": {154 "ianaId": "Europe/Belgrade"155 },156 "paymentOptions": [157 {158 "brands": [159 {160 "name": "Shell Recharge"161 },162 {163 "name": "Eneco"164 }165 ]166 }167 ],168 "nearbyPois": [7315,9932],169 "accessType": "Public",170 "vehicleConstraint": {171 "types": ["Car", "Truck"],172 "categories": ["N1", "N2"],173 "length": 5.0,174 "height": 2.75,175 "width": 2.0,176 "weight": 3500,177 "brands": [178 {179 "name": "Tesla"180 },181 {182 "name": "Rivian"183 }184 ]185 }186 }187 ],188 "references": {189 "tariffs": [190 {191 "id": "USCPIT10vn*B*2llX",192 "partner": {193 "id": "CHCXGIH2",194 "type": "CPO"195 },196 "currency": "USD",197 "product": {198 "name": "Adhoc",199 "type": "ADHOC"200 },201 "minPrice": {202 "amount": 0.0,203 "vat": 20.0204 },205 "maxPrice": {206 "amount": 100.0,207 "vat": 20.0208 },209 "elements": [210 {211 "priceComponents": [212 {213 "price": {214 "amount": 2.3,215 "vat": 20.0216 },217 "stepSize": 1.0,218 "type": "ENERGY"219 }220 ],221 "restrictions": {222 "daysOfWeek": ["MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY"],223 "startDate": "2026-02-01",224 "endDate": "2026-02-28",225 "startTime": "08:00",226 "endTime": "20:00",227 "minPowerInKilowatts": 7.0,228 "maxPowerInKilowatts": 22.0,229 "minCurrentInAmperes": 16.0,230 "maxCurrentInAmperes": 32.0,231 "minEnergyInKilowattHours": 1.0,232 "maxEnergyInKilowattHours": 50.0,233 "minDurationInSeconds": 1800,234 "maxDurationInSeconds": 14400,235 "reservation": "RESERVATION"236 }237 }238 ]239 }240 ]241 }242}
If the Accept header value is set to application/xml, the response will be a XML object with the following structure:
1<response>2 <summary>3 <numResults>1</numResults>4 <totalResults>1</totalResults>5 </summary>6 <results>7 <item>8 <id>0b903425-3f5a-4072-9d5d-070f6f0647b3</id>9 <name>Mega M d.o.o.</name>10 <position>11 <lat>44.810263</lat>12 <lon>20.4354</lon>13 </position>14 <address>15 <countryCode>RS</countryCode>16 <countryCodeISO3>SRB</countryCodeISO3>17 <country>Serbia</country>18 <countrySubdivision>Central Serbia</countrySubdivision>19 <countrySubdivisionName>Central Serbia</countrySubdivisionName>20 <countrySecondarySubdivision>Belgrade City</countrySecondarySubdivision>21 <freeformAddress>Улица Владимира Поповића 8, 11070 Belgrade</freeformAddress>22 <localName>Belgrade</localName>23 <municipality>Belgrade</municipality>24 <municipalitySubdivision>Нови Београд</municipalitySubdivision>25 <postalCode>11070</postalCode>26 <streetNumber>8</streetNumber>27 <streetName>Улица Владимира Поповића</streetName>28 </address>29 <phone>+386 3 777 77 77</phone>30 <openingHours>31 <mode>nextSevenDays</mode>32 <timeRanges>33 <timeRange>34 <startTime>35 <date>2024-05-02</date>36 <hour>0</hour>37 <minute>0</minute>38 </startTime>39 <endTime>40 <date>2024-05-09</date>41 <hour>0</hour>42 <minute>0</minute>43 </endTime>44 </timeRange>45 </timeRanges>46 </openingHours>47 <timeZone>48 <ianaId>Europe/Belgrade</ianaId>49 </timeZone>50 <accessType>Public</accessType>51 <chargingStations>52 <chargingStation>53 <id>RS*ORI*E1161</id>54 <chargingPoints>55 <chargingPoint>56 <evseId>RS*ORI*E1167</evseId>57 <status>Available</status>58 <capabilities>59 <capability>RemoteStartStopCapable</capability>60 </capabilities>61 <connectors>62 <connector>63 <id>1</id>64 <currentA>32</currentA>65 <currentType>AC3</currentType>66 <ratedPowerKW>22.0</ratedPowerKW>67 <type>IEC62196Type2Outlet</type>68 <voltageV>400</voltageV>69 </connector>70 </connectors>71 </chargingPoint>72 <chargingPoint>73 <evseId>RS*ORI*E1166</evseId>74 <status>Occupied</status>75 <capabilities>76 <capability>RemoteStartStopCapable</capability>77 </capabilities>78 <connectors>79 <connector>80 <id>1</id>81 <currentType>DC</currentType>82 <ratedPowerKW>50.0</ratedPowerKW>83 <type>Chademo</type>84 </connector>85 </connectors>86 </chargingPoint>87 <chargingPoint>88 <evseId>RS*ORI*E1163</evseId>89 <status>Unknown</status>90 <capabilities>91 <capability>RemoteStartStopCapable</capability>92 </capabilities>93 <connectors>94 <connector>95 <id>1</id>96 <currentA>16</currentA>97 <currentType>AC3</currentType>98 <ratedPowerKW>11.0</ratedPowerKW>99 <type>IEC62196Type2Outlet</type>100 <voltageV>400</voltageV>101 </connector>102 </connectors>103 </chargingPoint>104 <chargingPoint>105 <evseId>RS*ORI*E1162</evseId>106 <status>Available</status>107 <capabilities>108 <capability>RemoteStartStopCapable</capability>109 </capabilities>110 <connectors>111 <connector>112 <id>1</id>113 <currentA>16</currentA>114 <currentType>AC3</currentType>115 <ratedPowerKW>11.0</ratedPowerKW>116 <type>IEC62196Type2Outlet</type>117 <voltageV>400</voltageV>118 </connector>119 </connectors>120 </chargingPoint>121 <chargingPoint>122 <evseId>RS*ORI*E1165</evseId>123 <status>OutOfService</status>124 <capabilities>125 <capability>RemoteStartStopCapable</capability>126 </capabilities>127 <connectors>128 <connector>129 <id>1</id>130 <currentType>DC</currentType>131 <ratedPowerKW>75.0</ratedPowerKW>132 <type>IEC62196Type2CCS</type>133 </connector>134 </connectors>135 </chargingPoint>136 <chargingPoint>137 <evseId>RS*ORI*E1164</evseId>138 <status>Available</status>139 <capabilities>140 <capability>RemoteStartStopCapable</capability>141 </capabilities>142 <connectors>143 <connector>144 <id>1</id>145 <currentA>16</currentA>146 <currentType>AC3</currentType>147 <ratedPowerKW>11.0</ratedPowerKW>148 <type>IEC62196Type2Outlet</type>149 <voltageV>400</voltageV>150 <tariffId>USCPIT10vn*B*2llX</tariffId>151 </connector>152 </connectors>153 </chargingPoint>154 </chargingPoints>155 </chargingStation>156 </chargingStations>157 <paymentOptions>158 <paymentOption>159 <brands>160 <brand>161 <name>Shell Recharge</name>162 </brand>163 <brand>164 <name>Eneco</name>165 </brand>166 </brands>167 </paymentOption>168 </paymentOptions>169 <nearbyPois>170 <nearbyPoi>171 <categoryId>7315</categoryId>172 </nearbyPoi>173 <nearbyPoi>174 <categoryId>9932</categoryId>175 </nearbyPoi>176 </nearbyPois>177 <vehicleConstraint>178 <types>179 <type>Car</type>180 <type>Truck</type>181 </types>182 <categories>183 <category>N1</category>184 <category>N2</category>185 </categories>186 <height>2.75</height>187 <width>2.5</width>188 <length>5.0</length>189 <weight>3500</weight>190 <brands>191 <brand>192 <name>Tesla</name>193 </brand>194 <brand>195 <name>Rivian</name>196 </brand>197 </brands>198 </vehicleConstraint>199 </item>200 </results>201 <references>202 <tariffs>203 <tariff>204 <id>USCPIT10vn*B*2llX</id>205 <partner>206 <id>CHCXGIH2</id>207 <type>CPO</type>208 </partner>209 <currency>USD</currency>210 <product>211 <name>Adhoc</name>212 <type>ADHOC</type>213 </product>214 <minPrice>215 <amount>0.0</amount>216 <vat>20.0</vat>217 </minPrice>218 <maxPrice>219 <amount>100.0</amount>220 <vat>20.0</vat>221 </maxPrice>222 <elements>223 <element>224 <priceComponents>225 <priceComponent>226 <price>227 <amount>2.3</amount>228 <vat>20.0</vat>229 </price>230 <stepSize>1.0</stepSize>231 <type>ENERGY</type>232 </priceComponent>233 </priceComponents>234 <restrictions>235 <daysOfWeek>236 <dayOfWeek>MONDAY</dayOfWeek>237 <dayOfWeek>TUESDAY</dayOfWeek>238 <dayOfWeek>WEDNESDAY</dayOfWeek>239 <dayOfWeek>THURSDAY</dayOfWeek>240 <dayOfWeek>FRIDAY</dayOfWeek>241 </daysOfWeek>242 <startDate>2026-02-01</startDate>243 <endDate>2026-02-28</endDate>244 <startTime>08:00</startTime>245 <endTime>20:00</endTime>246 <minPowerInKilowatts>7.0</minPowerInKilowatts>247 <maxPowerInKilowatts>22.0</maxPowerInKilowatts>248 <minCurrentInAmperes>16.0</minCurrentInAmperes>249 <maxCurrentInAmperes>32.0</maxCurrentInAmperes>250 <minEnergyInKilowattHours>1.0</minEnergyInKilowattHours>251 <maxEnergyInKilowattHours>50.0</maxEnergyInKilowattHours>252 <minDurationInSeconds>1800</minDurationInSeconds>253 <maxDurationInSeconds>14400</maxDurationInSeconds>254 <reservation>RESERVATION</reservation>255 </restrictions>256 </element>257 </elements>258 </tariff>259 </tariffs>260 </references>261</response>
Response fields
The following table describes all the fields that can appear in a response. Fields are listed by the response section they belong to and in the order that they appear in the response.
| Primary fields | |
|---|---|
| Field | Description |
summary object | Summary information about the search that was performed. |
results array | Array of result objects. |
references object | References to requested additional information. |
| summary object | |
|---|---|
| Field | Description |
numResults integer | Number of results in the response. |
totalResults integer | Total number of results found. |
| result object | |
|---|---|
| Field | Description |
id string | EV POI Id. |
name string | Name of the POI. |
position object | Position of the EV POI. |
chargingStations array | Array of chargingStation objects. |
address object | Structured address for the result. |
phone string | Phone number of the POI. |
openingHours object | Opening hours for the POI. |
timeZone object | Time zone for the POI. |
brands array | Array of brand objects.Brands available at the POI. |
paymentOptions array | Array of paymentOption objects. |
nearbyPois array | Array of |
accessType string | Access type of the EV POI station.
|
vehicleConstraint object | Vehicle constraint of the EV POI. |
| position object | |
|---|---|
| Field | Description |
lat double | Latitude of the result. |
lon double | Longitude of the result. |
| chargingStation object | |
|---|---|
| Field | Description |
id string | Charging station Id. |
chargingPoints object | Array of chargingPoint objects. |
| chargingPoint object | |
|---|---|
| Field | Description |
capabilities string (list) | List of capabilities.
|
connectors array | Array of connector objects. |
id string | Charging point Id. |
evseId string | The EVSE ID is a unique alphanumeric code assigned to each individual charging point (or connector) within a station or network. It's essential for identifying specific chargers in public or roaming charging systems, enabling apps and providers to locate, authenticate, and bill for sessions accurately. |
physicalReference string | Physical identification of the charging station printed on the station and visible to the driver. One of the parameters that can be used for booking or charging purposes to locate the physical station. No standard format is available. |
restrictions string (list) | List of parking restrictions.
|
status string | Dynamic availability status of charging point.
|
| connector object | |
|---|---|
| Field | Description |
id string | Id of the connector. |
currentA integer | Amperage in amperes[A]. |
currentType string | The current type of the connector.
|
ratedPowerKW double | Rated charging power in kilowatts[KW]. |
type string | The connector type which is one of the supported types. |
voltageV integer | Voltage in volts[V]. |
tariffId string | Identifier of tariff attached to the connector, included only when parameter include=tariffs was provided.
Refers to a |
| address object | |
|---|---|
| Field | Description |
countryCode string | The two-letter code of the country. |
countryCodeISO3 string | ISO alpha-3 country code. |
country string | The country name. |
countrySubdivision string | State or Province. For regions like USA, CAN, & GB, this will be the province code, and for the rest the subdivision name. |
countrySecondary Subdivision string | Country. |
countryTertiary Subdivision string | Named area. |
countrySubdivisionName string | State or Province name. |
countrySubdivisionCode string | State or Province code. Only for regions like USA, CAN, GB. |
countrySubdivisionName string | The full name of the first level of a country's administrative hierarchy.
|
freeformAddress string | An address line formatted according to the formatting rules of the result's country of origin. |
localName string | An address component which represents the name of a geographic area or locality that groups a number of addressable objects for addressing purposes, without being an administrative unit. |
municipality string | City / Town. |
municipality Subdivision string | Sub / Super City. |
postalCode string | Postal code / Zip code. |
extendedPostalCode string | Extended postal code (availability dependent on region). |
streetNumber string | The building number on the street. |
streetName string | The street name. |
| openingHours object | |
|---|---|
| Field | Description |
mode string | Requested mode for opening hours. |
timeRanges array | List of time ranges for the next 7 days. Array of timeRange. |
| timeRange object | |
|---|---|
| Field | Description |
startTime object | Start of the timeRange in the form of dateHourMinute. |
endTime object | End of the timeRange in the form of dateHourMinute. |
| dateHourMinute object | |
|---|---|
| Field | Description |
date string | The date in the calendar year in the local time zone. |
hour integer | Possible values: 0 - 23 |
minute integer | Possible values: 0 - 59 |
| timeZone object | |
|---|---|
| Field | Description |
ianaId string | ID from the IANA Time Zone Database. |
| brand object | |
|---|---|
| Field | Description |
id string | Brand Id. |
name string | Brand name. |
| paymentOption object | |
|---|---|
| Field | Description |
method string | Payment method.
|
brands array | Array of payment option brand objects. |
| paymentOptionBrand object | |
|---|---|
| Field | Description |
id string | Unique identifier of the payment option. |
name string | Name of the payment option. |
restricted boolean | Indicates if payment option is restricted to the current request. |
| nearbyPoi object | |
|---|---|
| Field | Description |
categoryId integer | Category Id of the nearby POI.
|
| vehicleConstraint object | |
|---|---|
| Field | Description |
types string (list) | Vehicle types constraint of the result.
|
categories string (list) | Vehicle categories constraint of the result.
|
length double | Vehicle length —in meters— constraint of the result. |
height double | Vehicle height —in meters— constraint of the result. |
width double | Vehicle width —in meters— constraint of the result. |
weight integer | Vehicle weight —in kg— constraint of the result. |
brands object | Array of vehicleBrand objects. |
| vehicleBrand object | |
|---|---|
| Field | Description |
name string | Vehicle brand name. |
| references object | |
|---|---|
| Field | Description |
tariffs array | Array of tariff objects related to connectors. |
| tariff object | |
|---|---|
| Field | Description |
id string | Tariff identifier. |
partner object | Partner information. |
currency string | Currency of the price, in ISO-4217 format. |
product object | Product information. |
minPrice object | Price object for minimum applicable price. |
maxPrice object | Price object for maximum applicable price. |
elements array | Array of element objects providing pricing details and restrictions. |
| product object | |
|---|---|
| Field | Description |
name string | Name of payment product. |
type string | Product type.
|
| partner object | |
|---|---|
| Field | Description |
id string | Identifier of CPO/eMSP partner. |
type string | Type of partner.
|
| price object | |
|---|---|
| Field | Description |
amount number | The price amount (tax included). |
vat number | The VAT (Value Added Tax) value. |
| element object For more info: OCPI-TariffElement | |
|---|---|
| Field | Description |
priceComponents array | Array of price component objects describing how each dimension is priced. |
restrictions object | Restrictions object describing when the price components of given tariff element apply. |
| priceComponent object For more info: OCPI-PriceComponent | |
|---|---|
| Field | Description |
price object | Price object for given component. |
stepSize number | Step size for given price component. |
type string | Type of given price component.
|
| restrictions object For more info: OCPI-TariffRestrictions | |
|---|---|
| Field | Description |
daysOfWeek array | Days of the week for which the restriction applies.
|
startDate string | Start date of the restrictions. |
endDate string | End date of the restrictions. |
startTime string | Start time of the restrictions. |
endTime string | End time of the restrictions. |
minPowerInKilowatts number | Minimum power in kW. |
maxPowerInKilowatts number | Maximum power in kW. |
minCurrentInAmperes number | Sum of the minimum current (in Amperes) over all charging phases. |
maxCurrentInAmperes number | Sum of the maximum current (in Amperes) over all charging phases. |
minEnergyInKilowattHours number | Minimum consumed energy in kWh. |
maxEnergyInKilowattHours number | Maximum consumed energy in kWh. |
minDurationInSeconds integer | Minimum duration in seconds the charging session must last. |
maxDurationInSeconds integer | Maximum duration in seconds the charging session can last. |
reservation string | Reservation restriction type.
Note: Reservation restriction can only have: FLAT and TIME tariff dimensions, where TIME is for the duration of the reservation. |
Response codes
| Code | Meaning & possible causes |
|---|---|
200 | OK: If any matching charging station was found, the body of the response will contain the data. Otherwise, an empty response will be returned: Empty response example - JSON
|
400 | Bad request: One or more parameters were incorrectly specified or are out of range. |
403 | Forbidden: Possible causes include:
|
404 | Not Found: The requested resource could not be found, the HTTP request method or path is incorrect. |
405 | Method Not Allowed : The client used an HTTP method other than |
406 | Media Type Not Acceptable |
414 | The requested URI is too long |
429 | Too Many Requests: The API Key is over QPS (Queries per second). |
5xx | Server Error: The service was unable to process your request. Contact support to resolve the issue. |
Response headers
The following table lists HTTP response headers.
| Header | Description |
|---|---|
| Access-Control-Allow-Origin | The EV Search service allows cross-origin resource sharing.
Value: |
| Content-Encoding | The EV Search service supports HTTP compression if requested
by the client. |
| Cache-Control | The Cache-Control general-header field is used to specify directives that must be obeyed by all caching mechanisms along the request/response chain.
Value: |
| Content-Type | Indicates the format of the response as chosen by the client. |
| Tracking-ID | An identifier for the request. If the Tracking-ID header was specified, it is replicated in the response.
Otherwise, it is generated automatically by the service. It is only meant to be used for support and does not involve tracking of
you or your users in any form.
Value: An |
Error response
The error response content type depends on the Accept header.
1{2 "message": "Missing parameter 'parameterName'",3 "detailedError": {4 "code": "MissingParameter",5 "message": "Missing required parameter 'parameterName'."6 },7 "httpStatusCode": "400"8}
1<ErrorEvResponse>2 <message>Missing parameter 'parameterName'</message>3 <detailedError>4 <code>MissingParameter</code>5 <message>Missing required parameter 'parameterName'.</message>6 </detailedError>7</ErrorEvResponse>
Error response fields
| Primary fields | Description |
|---|---|
| A human-readable description of the error. |
| Detailed information about the error. |
| detailedError object | |
| Field | Description |
| One of a server-defined set of error codes. |
| A human-readable description of the error code. It is intended as an aid to developers and is not suitable for exposure to end users. |